com.sleepycat.db

## Interface LogRecordHandler

    public interface LogRecordHandler

A function to process application-specific log records.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `handleLogRecord(Environment environment, DatabaseEntry logRecord, LogSequenceNumber lsn, RecoveryOperation operation)` A function to process application-specific log records.

### Method Detail

#### handleLogRecord

    int handleLogRecord(Environment environment,
                        DatabaseEntry logRecord,
                        LogSequenceNumber lsn,
                        RecoveryOperation operation)

A function to process application-specific log records.

Parameters:
  `environment` - The enclosing database environment.
  `logRecord` - A log record.
  `lsn` - The log record's log sequence number.
  `operation` - The recovery operation being performed.
Returns:
  The function must return 0 on success and either the system errno or a value outside of the Berkeley DB error name space on failure.